!
! Grid around Van-der-Waals minimum
!
program main
  use hgbr2_surf_def
  use hgbr2_surf_plot
  use contour

  implicit none
  logical :: forever =.true.
  double precision ::  r1,r2,beta,en

  call read_in(GS,"hgbr2-pot.bin")
  open(2,file='waals.inp',action='read')
  do while (forever)
    read(2,*,end=120,err=120) r1,r2,beta
    en = GlobalAbsPot(r1,r2,beta)
    write(*,fmt="(3F10.5,F20.12)") r1,r2,beta,en
  end do
120  close(2)
  
end program
