module hgbr2_surf_plot

  use trigonom
  use hgbr2_surf_def
  use hgbr2_surf_main

  implicit none

contains

! ==F=======================================
function GlobalRecPot(r1,r2,alp) result(f)

    implicit none
    double precision, intent(in) :: r1,r2,alp 
    double precision :: f

    double precision, dimension(3) :: vder
    double precision :: x,y,z

    call rra2rrr(r1,r2,alp,x,y,z)
    call GlobalPot(x,y,z,f,vder)

end function

! ==F========================================
function GlobalAbsPot(r1,r2,alp) result(f)
    implicit none
    double precision, intent(in) :: r1,r2,alp
    double precision :: f

    double precision, dimension(3) :: vder
    double precision :: x,y,z

    call rra2rrr(r1,r2,alp,x,z,y)
    call GlobalPot(x,y,z,f,vder)

end function

! ==F========================================
function GlobalInsPot(r1,r2,alp) result(f)
    implicit none
    double precision, intent(in) :: r1,r2,alp
    double precision :: f

    double precision, dimension(3) :: vder
    double precision :: x,y,z

    call jac2rrr(r1,r2,alp,x,y,z)
    call GlobalPot(x,y,z,f,vder)

end function

end module
